ipv6addr Struct Reference
ipv6: IPv6 Address Handling

`#include <ipv6.h>`

## Data Fields

uint8 | addr [16]

## Detailed Description

IPv6 address structure.

## Field Documentation

## addr

uint8 ipv6addr::addr[16]

128-bit IPv6 address, represented as 16 8-bit `unsigned` `chars`.

Referenced by dns_ip6_r(), dns_name6_domain(), fmt_ipv6addr(), ipv6_scan(), and socket_getaddr6().

The documentation for this struct was generated from the following file:

- ipv6.h